%define cvs 20070325

Name:           dirac
Version:        0.6.0
Release:        9.%{cvs}cvs%{?dist}
Summary:        Dirac is an open source video codec 

Group:          System Environment/Libraries
License:        MPL
URL:            http://dirac.sourceforge.net/
#cvs -z3 -d:pserver:anonymous@dirac.cvs.sourceforge.net:/cvsroot/dirac co -P compress
#find . -type d -name CVS -print0 | xargs -0r rm -rf
#autoreconf -fi && ./configure && make dist
Source0:        %{name}-0.6.0-%{cvs}.tar.gz
Source1:        %{name}-snapshot.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cppunit-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  tetex-latex

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Dirac is an open source video codec. It uses a traditional hybrid video codec
architecture, but with the wavelet transform instead of the usual block 
transforms.  Motion compensation uses overlapped blocks to reduce block 
artefacts that would upset the transform coding stage.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description libs
This package contains libraries for %{name}.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release} 
Requires:       pkgconfig

%description devel
This package contains development files for %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation

%description docs
This package contains documentation files for %{name}.


%prep
%setup -q 
install -m 644 README README.Dirac
install -m 644 util/instrumentation/README README.instrumentation
# fix permission mode for sources.
find doc unit_tests util libdirac_encoder -type f -name \* -exec chmod 644 {} \;
# fix wrong end of line encoding
sed -i 's/\r//' libdirac_encoder/rate_control.cpp
sed -i 's/\r//' libdirac_encoder/rate_control.h


# Only update the doxygen file before generated with make
pushd doc/documentation/code/api/
%{_bindir}/doxygen -u dirac_api.doxygen
popd



%build
%configure  CXXFLAGS="${RPM_OPT_FLAGS}"  CFLAGS="${RPM_OPT_FLAGS}" \
	--program-prefix=dirac_ \
	--program-transform-name=s,dirac_dirac_,dirac_, \
	--libdir=%{_libdir} \
	--enable-overlay \
	--enable-debug=no \
	--disable-static \
%ifarch x86_64 \
	--enable-mmx=yes \
%else \
	--enable-mmx=no \
%endif

sed -i -e 's|CXXFLAGS =  -g -pedantic -Wall -Werror|CXXFLAGS =  -g -pedantic -Wall|' decoder/Makefile
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT

# Move doc in docdir macro
mv $RPM_BUILD_ROOT%{_datadir}/doc/dirac __doc

# Clean produced doc...
find __doc -name '*.html' -exec sed -i 's/\r//' {} \; 
find __doc -name '*.htm' -exec sed -i 's/\r//' {} \; 
find __doc -name '*.css' -exec sed -i 's/\r//' {} \; 

# Transform-name fix
mv $RPM_BUILD_ROOT%{_bindir}/dirac_create_dirac_testfile.pl \
	$RPM_BUILD_ROOT%{_bindir}/create_dirac_testfile.pl
sed -i -e 's|"RGBtoYUV"|"dirac_RGBtoYUV"|g' $RPM_BUILD_ROOT%{_bindir}/create_dirac_testfile.pl
sed -i -e 's|/home/guest/dirac-0.5.0/util/conversion|%{_bindir}|' $RPM_BUILD_ROOT%{_bindir}/create_dirac_testfile.pl


%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README.Dirac TODO
%doc README.instrumentation
%{_bindir}/create_dirac_testfile.pl                   
%{_bindir}/dirac_*                             

%files devel
%defattr(-,root,root,-)
%{_includedir}/dirac
%{_libdir}/pkgconfig/dirac.pc
%{_libdir}/libdirac_*.so
%exclude %{_libdir}/libdirac*.la

%files docs
%defattr(-,root,root,-)
%doc __doc/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/libdirac_decoder.so.*
%{_libdir}/libdirac_encoder.so.*


%changelog
* Sun Mar 25 2007 kwizart < kwizart at gmail.com > - 0.6.0-9.20070325cvs
- Update to cvs 20070325
- Remove -Werror for CXXFLAGS and decoder
- Fix perms and wrongs end of line encoding

* Sun Mar 25 2007 kwizart < kwizart at gmail.com > - 0.6.0-8.20070108cvs
- Fix mmx only for x86_64
- Fix ldconfig libs

* Sat Mar 24 2007 kwizart < kwizart at gmail.com > - 0.6.0-7.20070108cvs
- Cleaned comment
- Enabled dirac-libs for multi-libs
- Enabled mmx on 64 bit
- Fix Perl script create_dirac_testfile.pl

* Sat Jan 20 2007 kwizart < kwizart at gmail.com > - 0.6.0-6.20070108cvs
- Change cvs order in release
- Change package name libdirac -> dirac
- Drop redundant BR
- Move doc in docdir

* Mon Jan  8 2007 kwizart < kwizart at gmail.com > - 0.6.0-5.cvs20070108
- Update to cvs 20070108 because of a dirac-snapshot corrections.
- Disabled encoder qt4-gui 
(no more provided in the rebuilded package - will reenable later if needed!)

* Fri Jan  5 2007 kwizart < kwizart at gmail.com > - 0.6.0-4.cvs20070105
- Update diract-snapshoot.sh
- Update to cvs 20070105
- Remove BR valgrind (is only requires for test-suite)
- Try to Fix compile Flags
- Exclude static seems better
- Tweak the right FLAGs (drop debug and mmx)

* Thu Jan  4 2007 kwizart < kwizart at gmail.com > - 0.6.0-3.cvs20070104
- Fix BR required and found by mock
- Disable static
- Update doxygen -u before generate doc.
- Bootstrap during snapshot

* Thu Jan  4 2007 kwizart < kwizart at gmail.com > - 0.6.0-2.cvs20070104
- Update to Release 0.6.0 with cvs 20070104
- Enable dirac-qt4 gui

* Wed Dec 12 2006 kwizart < kwizart at gmail.com > - 0.6.0-1
- Intitial release.
